package me.km.items;

import me.km.KajetansMod;
import net.minecraft.advancements.CriteriaTriggers;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.SoundEvents;
import net.minecraft.item.ItemStack;
import net.minecraft.stats.StatList;
import net.minecraft.util.SoundCategory;
import net.minecraft.world.World;

public class ItemSpecialHerbs extends ItemHerbs
{
    private String effect;
    private int time;
    
    public ItemSpecialHerbs(String name, String local, String effect, int time) 
    {
        super(name, local);
        this.effect = effect;
        this.time = time;
    }

    @Override
    public ItemStack onItemUseFinish(ItemStack stack, World w, EntityLivingBase liv)
    {
        if(liv instanceof EntityPlayer)
        {
            EntityPlayer p = (EntityPlayer) liv;
            p.getFoodStats().addStats(this, stack);
            w.playSound(null, p.posX, p.posY, p.posZ, SoundEvents.ENTITY_PLAYER_BURP, SoundCategory.PLAYERS, 0.5F, w.rand.nextFloat() * 0.1F + 0.9F);
            this.onFoodEaten(stack, w, p);
            p.addStat(StatList.getObjectUseStats(this));

            if(p instanceof EntityPlayerMP)
            {
                CriteriaTriggers.CONSUME_ITEM.trigger((EntityPlayerMP) p, stack);
                if(!w.isRemote)
                {
                    // change id
                    KajetansMod.playerbank.getData((EntityPlayerMP) p).addGoodTimedData(effect, true, time, effect, 300);
                }
            }
        }
        stack.shrink(1);
        return stack;
    }
}
